export { escapeRegExp, matches, matchesIgnoreCase, replaceAll } from './string';
/**
 * Ultra-forgiving fuzzy search for {string} needle, in {string} haystack
 * Search is done both forwards and backwards to catch inverted key errors
 *
 * @param {string} needle Fuzzy-search for this string within string haystack
 * @param {string} haystack Fuzzy-search for string needle within this string
 * @return {boolean} True if needle found (roughly) in haystack
 */
export declare const fuzzySearch: (needle: string, haystack: string) => boolean;
