"use strict";
/// <reference path="../../node_modules/@types/mocha/index.d.ts" />
/// <reference path="../../node_modules/@types/node/index.d.ts" />
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
require("jsdom-global/register");
var mock_window_1 = require("../mock/mock-window");
/********************************* IMPORT DOM MODULE FOR TESTING **********************************/
var chai_1 = require("chai");
var browser_1 = require("../../browser");
var browser_2 = require("../../browser");
var domModule = __importStar(require("../../src/browser/dom"));
var test_1 = require("../../src/node/test");
/********************************************* TESTS **********************************************/
describe("dom sub-module", function () {
    test_1.expectNonEmptyObjectExists(browser_1.dom, "dom (from shared/base export)");
    test_1.expectNonEmptyObjectExists(browser_1.m_.dom, "dom (from m_ top-level namespace)");
    test_1.expectNonEmptyObjectExists(domModule, "dom (import all from dom.ts file)");
    test_1.expectNonEmptyObjectExists(browser_2.dom, "dom (from Browser export)");
    describe("UserAgent functions", function () {
        var userAgent = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36" +
            " (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36";
        var mockOSName = "Mac OS";
        var mockOSSnakeCase = "mac_os";
        var mockOSVersion = "10.11.6";
        var mockBrowserName = "Chrome";
        var mockBrowserVersion = "59.0.3071.115";
        var mockEngineName = "WebKit";
        var mockEngineVersion = "537.36";
        it("-- #getUserAgentString: returns raw user agent str from window.navigator object", function () {
            chai_1.expect(browser_1.getUserAgentString()).to.equal(mock_window_1.userAgent);
        });
        var commonSrc = "as stored in user agent string on window";
        it("-- #osName: returns name of OS running on current computer, " + commonSrc, function () {
            chai_1.expect(browser_1.osName()).to.equal(mockOSName);
        });
        it("-- #osVersion: returns OS version running on current computer, " + commonSrc, function () {
            chai_1.expect(browser_1.osVersion()).to.equal(mockOSVersion);
        });
        it("-- #browser name: returns name of browser type (e.g. 'Chrome'), " + commonSrc, function () {
            chai_1.expect(browser_1.browserName()).to.equal(mockBrowserName);
        });
        it("-- #browser name: returns version of current browser, " + commonSrc, function () {
            chai_1.expect(browser_1.browserVersion()).to.equal(mockBrowserVersion);
        });
        it("-- #browser name: returns name of current browser engine (e.g. WebKit), " + commonSrc, function () {
            chai_1.expect(browser_1.browserEngineName()).to.equal(mockEngineName);
        });
        it("-- #browser name: returns version of current browser engine, " + commonSrc, function () {
            chai_1.expect(browser_1.browserEngineVersion()).to.equal(mockEngineVersion);
        });
    });
});
//# sourceMappingURL=dom.spec.js.map